SEQanswers

Go Back   SEQanswers > Sequencing Technologies/Companies > 454 Pyrosequencing



Similar Threads
Thread Thread Starter Forum Replies Last Post
using sff_extract veronique Bioinformatics 24 04-28-2013 11:01 PM
sff_extract problems clostridium40 Bioinformatics 2 07-21-2011 05:08 AM
Error using sff_extract. Mona 454 Pyrosequencing 8 03-23-2010 06:59 AM
sff_extract Syntax Error Cresten Bioinformatics 3 12-21-2009 12:16 AM
sff_extract paired end extraction error coldturkey Bioinformatics 1 03-12-2009 04:48 AM

Reply
 
Thread Tools
Old 08-03-2015, 02:18 AM   #1
tado
Junior Member
 
Location: prague

Join Date: Jul 2015
Posts: 3
Default sff_extract error

Hello,

sorry I am new in this I tried to convert sff file to fasta and fastq files. Firstly I installed python 2.7.6 then biopython 1.65 and finally seq_crumbs 0.1.9 and i tried sff_extract but there is a problem :

]# sff_extract IXXLJHH01.sff
Traceback (most recent call last):
File "/usr/bin/sff_extract", line 25, in <module>
from crumbs.seqio import write_seqs
File "/usr/lib/python2.6/site-packages/crumbs/seqio.py", line 35, in <module>
from crumbs.utils.file_formats import get_format, peek_chunk_from_file
File "/usr/lib/python2.6/site-packages/crumbs/utils/file_formats.py", line 22, in <module>
from crumbs.settings import get_setting
File "/usr/lib/python2.6/site-packages/crumbs/settings.py", line 133, in <module>
_settings = _Settings()
File "/usr/lib/python2.6/site-packages/crumbs/settings.py", line 114, in __init__
self.load_settings()
File "/usr/lib/python2.6/site-packages/crumbs/settings.py", line 119, in load_settings
for key, val in globals().viewitems():
AttributeError: 'dict' object has no attribute 'viewitems'

What should I do for this?
Thanks,
tado is offline   Reply With Quote
Old 08-03-2015, 03:21 AM   #2
GenoMax
Senior Member
 
Location: East Coast USA

Join Date: Feb 2008
Posts: 6,978
Default

Does seq_crumbs require python 2.7.x? Looks like your software got installed in python2.6.
GenoMax is offline   Reply With Quote
Old 08-03-2015, 03:55 AM   #3
tado
Junior Member
 
Location: prague

Join Date: Jul 2015
Posts: 3
Default

Yes, you are right. However, I installed 2.7.6 how can i change it do you have any idea?
tado is offline   Reply With Quote
Old 08-03-2015, 04:05 AM   #4
GenoMax
Senior Member
 
Location: East Coast USA

Join Date: Feb 2008
Posts: 6,978
Default

Use one of the options here to see if you can set your default python version to 2.7. You may be able to use crumbs installed in 2.6 but the other thing to try would be to re-do the biopython/crumbs install so they would install under 2.7.x.
GenoMax is offline   Reply With Quote
Old 08-03-2015, 11:39 PM   #5
tado
Junior Member
 
Location: prague

Join Date: Jul 2015
Posts: 3
Default

Thank you!
tado is offline   Reply With Quote
Reply

Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off




All times are GMT -8. The time now is 12:25 PM.


Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2019, vBulletin Solutions, Inc.
Single Sign On provided by vBSSO